function onCreate()
    makeAnimatedLuaSprite("transformThing", "anim/transformation2", 100, -105)
    addAnimationByPrefix("transformThing", "trans", "transformation2 trans", 24, false)
    --[[addAnimationByIndices("transformThing", "test", "transformation2 trans", "2", 24)
    objectPlayAnimation("transformThing", "test", true)
    setProperty("transformThing.alpha", 0.25)]]--
    addLuaSprite("transformThing", true)

    thingScale = 0.75

    makeAnimatedLuaSprite("transformThingL", "anim/transformation2", -175, -180)
    addAnimationByPrefix("transformThingL", "trans", "transformation2 trans", 24, false)
    scaleObject("transformThingL", thingScale, thingScale)
   --[[addAnimationByIndices("transformThingL", "test", "transformation2 trans", "2", 24)
    objectPlayAnimation("transformThingL", "test", true)
    setProperty("transformThingL.alpha", 0.25)]]--

    addLuaSprite("transformThingL", true)

    makeAnimatedLuaSprite("transformThingR", "anim/transformation2", 575, -180)
    addAnimationByPrefix("transformThingR", "trans", "transformation2 trans", 24, false)
    scaleObject("transformThingR", thingScale, thingScale)
    --[[addAnimationByIndices("transformThingR", "test", "transformation2 trans", "2", 24)
    objectPlayAnimation("transformThingR", "test", true)
    setProperty("transformThingR.alpha", 0.25)]]--

    setProperty("transformThing.visible", false)
    setProperty("transformThingL.visible", false)
    setProperty("transformThingR.visible", false)
    
    addLuaSprite("transformThingR", true)
end

function onEvent(eventName, value1, value2, strumTime)
    if eventName == "Transform Anim" then
        if curStep <= 1154 then
            setProperty("transformThing.visible", true)
            objectPlayAnimation("transformThing", "trans", true)
            runTimer("transformCenterTimer", 5/24)
        elseif curStep > 1154 then
            setProperty("transformThingL.visible", true)
            setProperty("transformThingR.visible", true)
            objectPlayAnimation("transformThingL", "trans", true)
            objectPlayAnimation("transformThingR", "trans", true)
            runTimer("transformSidesTimer", 5/24)
        end
    end
end

function onTimerCompleted(tag, loops, loopsLeft)
    if tag == "transformCenterTimer" then
        setProperty("transformThing.visible", false)
    elseif tag == "transformSidesTimer" then
        setProperty("transformThingL.visible", false)
        setProperty("transformThingR.visible", false)
    end
end